Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_PolicyManager Class Reference

`#include <PolicyC.h>`

Inheritance diagram for CORBA_PolicyManager

[legend]
Collaboration diagram for CORBA_PolicyManager:

[legend]
List of all members.

## Public Types
typedef CORBA_PolicyManager_ptr | _ptr_type
typedef CORBA_PolicyManager_var | _var_type
## Static Public Methods
CORBA_PolicyManager_ptr | _duplicate (CORBA_PolicyManager_ptr obj)
CORBA_PolicyManager_ptr | _narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
CORBA_PolicyManager_ptr | _unchecked_narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
CORBA_PolicyManager_ptr | _nil (void)
## Static Public Attributes
int | _tao_class_id = 0

## Member Typedef Documentation

typedef CORBA_PolicyManager_ptr CORBA_PolicyManager::_ptr_type

| Reimplemented in CORBA_PolicyCurrent.

typedef CORBA_PolicyManager_var CORBA_PolicyManager::_var_type

| Reimplemented in CORBA_PolicyCurrent.

## Member Function Documentation

CORBA_PolicyManager_ptr CORBA_PolicyManager::_duplicate ( | CORBA_PolicyManager_ptr obj )`[static]`

CORBA_PolicyManager_ptr CORBA_PolicyManager::_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

| Reimplemented in CORBA_PolicyCurrent.

CORBA_PolicyManager_ptr CORBA_PolicyManager::_nil ( | void )`[inline, static]`

| Reimplemented in CORBA_PolicyCurrent.

CORBA_PolicyManager_ptr CORBA_PolicyManager::_unchecked_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

| Reimplemented in CORBA_PolicyCurrent.

## Member Data Documentation

int CORBA_PolicyManager::_tao_class_id = 0`[static]`

| Reimplemented in CORBA_PolicyCurrent.

The documentation for this class was generated from the following files:

- PolicyC.h
- PolicyC.cpp